### Method

# Gtk Expressionevaluate

#### Declaration [src]

    gboolean
    gtk_expression_evaluate (
      GtkExpression* self,
      GObject* this_,
      GValue* value
    )

#### Description [src]

Evaluates the given expression and on success stores the result in `value`.

The `GType` of `value` will be the type given by `gtk_expression_get_value_type()`.

It is possible that expressions cannot be evaluated - for example when the expression references objects that have been destroyed or set to `NULL`. In that case `value` will remain empty and `FALSE` will be returned.

#### Parameters

`this_`

  Type: `GObject`

  The this argument for the evaluation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`value`

  Type: `GValue`

  An empty `GValue`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the expression could be evaluated.